echo off
cls
IF "%1" == "" goto noname
IF NOT EXIST %1.MAP goto nomap
echo.
echo  Map name is %1.Map
echo.
echo  1.  Play with No Monsters
echo  2.  Play with Monsters
echo  3.  Load Build with %1.Map
echo  4.  Play against the Bots in %1.map
echo  5.  Quit
echo.
choice /c:12345 "Your choice:  "
if errorlevel 5 goto abort
if errorlevel 4 goto multi
if errorlevel 3 goto build
if errorlevel 2 goto monst
if errorlevel 1 goto nomonst

:monst
echo.
echo  1.  Piece of Cake
echo  2.  Let's Rock
echo  3.  Come Get Some
echo  4.  Damn I'm Good (Respawn Monsters)
echo.
choice /c:1234 "Skill level:  "
if errorlevel 4 goto tough
if errorlevel 3 goto hard
if errorlevel 2 goto average
if errorlevel 1 goto easy

:multi
echo.
echo   How many players, you plus up to 7 Bots, in this game? (2-8)
echo   Four players are recommended for best performance.
echo.
choice /c:2345678 "Number of players:  "
if errorlevel 8 goto eight
if errorlevel 7 goto seven
if errorlevel 6 goto six
if errorlevel 5 goto five
if errorlevel 4 goto four
if errorlevel 3 goto three
if errorlevel 2 goto two

:tough
duke3d -map %1.MAP /s4 /t1
goto end

:hard
duke3d -map %1.MAP /s3
goto end

:average
duke3d -map %1.MAP /s2
goto end

:easy
duke3d -map %1.MAP /s1
goto end

:nomonst
echo.
echo Number 3 should show all items.
echo.
choice /c:1234 "Skill level:  "
if errorlevel 4 goto notough
if errorlevel 3 goto nohard
if errorlevel 2 goto noaverage
if errorlevel 1 goto noeasy

:notough
duke3d -map %1.MAP /s4 /m
goto end

:nohard
duke3d -map %1.MAP /s3 /m
goto end

:noaverage
duke3d -map %1.MAP /s2 /m
goto end

:noeasy
duke3d -map %1.MAP /s1 /m
goto end

:build
IF NOT EXIST BUILD.EXE goto nobuild
build %1.MAP
goto end

:nobuild
echo.
echo You do not have the BUILD.EXE file installed in this directory.
echo.
goto abort

:two
duke3d /m /tx /c1 /q2 /a -map %1.MAP
goto end

:three
duke3d /m /tx /c1 /q3 /a -map %1.MAP
goto end

:four
duke3d /m /tx /c1 /q4 /a -map %1.MAP
goto end

:five
duke3d /m /tx /c1 /q5 /a -map %1.MAP
goto end

:six
duke3d /m /tx /c1 /q6 /a -map %1.MAP
goto end

:seven
duke3d /m /tx /c1 /q7 /a -map %1.MAP
goto end

:eight
duke3d /m /tx /c1 /q8 /a -map %1.MAP
goto end

:nomap
echo.
echo %1.MAP does not exist!
echo Type PLAY THE_MAP_NAME with NO .Map extension.
echo.
goto abort

:noname
echo.
echo You did not enter a MAP_NAME!
echo Type PLAY THE_MAP_NAME with NO .Map extension.
echo.
goto abort

:end
cls
rem  The following line calls the batch file again which I call play15.bat
IF NOT EXIST PLAY15.BAT goto noplay
play15.bat %1

:noplay
echo.
echo PLAY15.BAT DOES NOT EXIST!
echo Someone has renamed this .BAT file
echo.
goto abort
      
:abort
